Bug 1571928 - [modularity] RFE: Add Python Modules
Summary: [modularity] RFE: Add Python Modules
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: python
Version: unspecified
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 17:55 UTC by ekultails
Modified: 2020-10-28 11:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-28 11:04:24 UTC
Type: Bug


Attachments (Terms of Use)

Description ekultails 2018-04-25 17:55:30 UTC
Description of problem: Currently there are no DNF modules created for Python. It would be great to see different versions of Python shipped by Fedora.


Version-Release number of selected component (if applicable):
Fedora 28 and all supported upstream versions of Python


How reproducible:
Very

Steps to Reproduce:
1. dnf install fedora-repos-modular
2. dnf module list --all | grep python

Actual results:
$ dnf module list --all | grep python

Expected results:
$ dnf module list --all | grep python
Name   Stream
python  2.7
python  3.4
python  3.5
python  3.6

Comment 1 Miro Hrončok 2019-09-19 12:28:48 UTC
Fedora already has all the mentioned Python versions. Unlike modules, you can install them at the same time:

https://developer.fedoraproject.org/tech/languages/python/multiple-pythons.html

1) What benefit would modularizing those Pythons bring to the users?

2) What benefit would modularizing those Pythons bring to the maintainers?

Comment 2 Luke Short 2019-12-03 14:12:46 UTC
Thank you for the clarification. Having the different Python version packages in the main Fedora repository covers my use-case.


Note You need to log in before you can comment on or make changes to this bug.